import { HTMLCartesianChartRenderer } from './cartesian_chart';
import { LineChartRenderOptions, ScatterChartRenderOptions, StyleDefaults } from './data_styles';
import { RendererOptions } from './renderer_types';
import { Renderer } from './renderer';
import { RendererFactory } from './renderer_factory';
import { Cell, Field } from '../data_tree';
export declare class HTMLScatterChartRenderer extends HTMLCartesianChartRenderer {
    getMark(): 'point';
    getDataType(field: Field): 'temporal' | 'ordinal' | 'quantitative' | 'nominal';
    getDataValue(data: Cell): Date | string | number | null;
}
export declare class ScatterChartRendererFactory extends RendererFactory<ScatterChartRenderOptions> {
    static readonly instance: ScatterChartRendererFactory;
    create(document: Document, styleDefaults: StyleDefaults, rendererOptions: RendererOptions, _field: Field, options: LineChartRenderOptions, timezone?: string): Renderer;
    get rendererName(): string;
}
